let palette = ["#caf0f8", "#ade8f4", "#90e0ef", "#00b4d8", "#0096c7"];
let backgroundColor = "#edf6f9";
let font;

let sound;
let audioText = "(tap to play audio)";

let fb;

function preload() {
  font = loadFont("BagnardSans.otf");
  sound = new Howl({
      src: ['river.mp3'],
      sprite: {
        river: [1000, 23000, true]
      }
  });
}

function setup() {
  let cnv = createCanvas(windowWidth, windowHeight, WEBGL);
  cnv.mouseClicked(playNoise);

  angleMode(DEGREES);
  background(backgroundColor);

  // Activate the flowfield we're going to use
  // Can be curved, truncated, zigzag, seabed, or waves
  brush.field("curved");
  fb = createFramebuffer();

  document.getElementById("loading").style.display = "none";
}

function draw() {
  frameRate(10);
  translate(-width / 2, -height / 2);
  background(backgroundColor);
  //brush.refreshField(frameCount * 0.001)

  fb.begin();
  clear();
  translate(-width / 2, -height / 2);
  drawRiver(10);
  fb.end();

  drawText();
}

function windowResized() {
  resizeCanvas(windowWidth, windowHeight);
  fb.resize(width, height);
}

function drawRiver(limit) {
  brush.set("charcoal", random(["#393056", "#5e548e", "#6d597a"]), 1);

  for (let i = 0; i < limit; i++) {
    brush.flowLine(random(-width/2, width), random(height), random(50, 500), 0); 
  }
}

// Function for writing the text in the middle
// of the screen.
function drawText() {
  // Adjust the font size depending on the width.
  let textScale = width > 420 ? 1 : 0.6;
  textFont(font);
  textAlign(CENTER);
  
  fill("#0d1b2a");
  textSize(80 * textScale);
  text("River", width / 2, height / 3);
  
  fill("#354f52");
  textSize(30 * textScale);

  text(audioText, width / 2, height / 3 + 60 * textScale);
}

function playNoise() {
  if (sound.playing()) {
    sound.pause();
    audioText = "(tap to play audio)";
  } else {
    sound.play('river');
    audioText = "(tap to pause audio)";
  }
}

